/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                       Java a XML                            //
//                       I. vydn                             //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      //
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2007                      //
//                                                             //
/////////////////////////////////////////////////////////////////

/**
* @author Pavel Herout
*/

import org.xml.sax.*;
import org.xml.sax.helpers.*;
import javax.xml.parsers.*;

public class CenaJidloSAX {
  private static final String SOUBOR = "jidlo.xml";
      
  public static void main(String[] args) {
    try {
      SAXParserFactory spf = SAXParserFactory.newInstance();
      spf.setValidating(false);
      SAXParser sp = spf.newSAXParser();
      XMLReader parser = sp.getXMLReader();
      parser.setErrorHandler(new ChybyZjisteneParserem());
      CenovyHandler ch = new CenovyHandler();  
      parser.setContentHandler(ch);
      parser.parse(SOUBOR);
      System.out.println("Celkova cena: " + ch.getCelkovaCena());
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
}
