/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                       Java a XML                            //
//                       I. vydn                             //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      //
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2007                      //
//                                                             //
/////////////////////////////////////////////////////////////////

/**
* @author Pavel Herout
*/

import org.xml.sax.*;

public class ChybyZjisteneParserem implements ErrorHandler {
  // zformatovani textu hlaseni
  private String textHlaseni(SAXParseException e) {
    return e.getSystemId() + "\n" +
           "radka: " + e.getLineNumber() + " sloupec: " +
           e.getColumnNumber() + "\n" +
           e.getMessage();
  }

  // obsluha varovnych hlaseni
  public void warning(SAXParseException e) {
    System.out.println("Varovani: " + textHlaseni(e));
  }

  // obsluha chyb
  public void error(SAXParseException e) throws SAXException {
    throw new SAXException("Chyba: " + textHlaseni(e));
  }

  // obsluha fatalnich chyb
  public void fatalError(SAXParseException e) throws SAXException {
    throw new SAXException("Kriticka chyba: " + textHlaseni(e));
  }
}
