/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                       Java a XML                            //
//                       I. vydn                             //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      //
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2007                      //
//                                                             //
/////////////////////////////////////////////////////////////////

/**
* @author Pavel Herout
*/

import org.xml.sax.*;
import org.xml.sax.helpers.*;
import javax.xml.parsers.*;

public class VerifikatorJidloSAX {
//  private static final String SOUBOR = "jidlo.xml";
  private static final String SOUBOR = "jdlo am.xml";
      
  public static void main(String[] args) {
    try {
      SAXParserFactory spf = SAXParserFactory.newInstance();
      spf.setValidating(false);
      SAXParser saxLevel1 = spf.newSAXParser();
      XMLReader parser = saxLevel1.getXMLReader();
//      System.out.println(parser);
      // handler pro obsluhu chyb
      parser.setErrorHandler(new ChybyZjisteneParserem());
      // defaultni prazdny handler pro parsovani
      parser.setContentHandler(new DefaultHandler());
      // spusteni parseru na soubor
      parser.parse(SOUBOR);
      System.out.println(SOUBOR + " precten bez chyb");
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
}
