/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                       Java a XML                            //
//                       I. vydn                             //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      //
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2007                      //
//                                                             //
/////////////////////////////////////////////////////////////////

/**
* @author Pavel Herout
*/

import java.util.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;
import javax.xml.parsers.*;

public class VseVPametiSAX {
//  private static final String SOUBOR = "jidlo-ISO-8859-2.xml";
  private static final String SOUBOR = "jidlo.xml";
      
  public static void main(String[] args) {
    try {
      SAXParserFactory spf = SAXParserFactory.newInstance();
      spf.setValidating(false);
      SAXParser sp = spf.newSAXParser();
      XMLReader parser = sp.getXMLReader();
      parser.setErrorHandler(new ChybyZjisteneParserem());
      VseVPametiHandler ph = new VseVPametiHandler();  
      parser.setContentHandler(ph);
      parser.parse(SOUBOR);
      ArrayList<Ovoce> ar = ph.getSeznam();
      ZpracovaniDatVPameti.tiskniVse(ar);
      System.out.println("Celkova vaha = " 
                         +ZpracovaniDatVPameti.celkovaVaha(ar));
      System.out.println("Celkova cena = " 
                         +ZpracovaniDatVPameti.celkovaCena(ar));
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
}
