/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                       Java a XML                            //
//                       I. vydn                             //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      //
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2007                      //
//                                                             //
/////////////////////////////////////////////////////////////////

/**
* @author Pavel Herout
*/

import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;
import org.xml.sax.*;          // kvuli vyjimkam

public class PotomciOvoceKomentareDOM {
  private static final String SOUBOR = "jidlo-komentar2.xml";

  public static void main(String[] args) {
    try {
      DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
      dbf.setValidating(false);
      dbf.setIgnoringComments(true);
      DocumentBuilder builder = dbf.newDocumentBuilder();
      builder.setErrorHandler(new ChybyZjisteneParserem());

      Document doc = builder.parse(SOUBOR);
      System.out.println("Potomci ovoce: ");
      tiskPotomci(doc);
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  private static void tiskPotomci(Document doc) {
    NodeList nl = doc.getElementsByTagName("ovoce");
    Node ovoce = nl.item(0);
    NodeList nlo = ovoce.getChildNodes();
    for (int i = 0;  i < nlo.getLength();  i++) {
      System.out.println(nlo.item(i).getNodeName());
    }
  }    
}
