/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                       Java a XML                            //
//                       I. vydn                             //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      //
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2007                      //
//                                                             //
/////////////////////////////////////////////////////////////////

/**
* @author Pavel Herout
*/
import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;
import org.xml.sax.*;          
import javax.xml.transform.*;
import javax.xml.transform.dom.*;
import javax.xml.transform.stream.*;

public class TransformaceJidloDOM1_6 {
//  private static final String SOUBOR = "jidlo-bez-hlavicky.xml";
  private static final String SOUBOR = "jidlo.xml";
  private static final String VYSTUPNI_SOUBOR = "jidlo-utf-8.xml";

  public static void main(String[] args) {
    try {
      DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
      dbf.setValidating(false);

      DocumentBuilder builder = dbf.newDocumentBuilder();
      builder.setErrorHandler(new ChybyZjisteneParserem());
      Document doc = builder.parse(SOUBOR);

      String kodovani = "UTF-8";
 
      TransformerFactory tf = TransformerFactory.newInstance();
      Transformer zapisovac = tf.newTransformer();
      zapisovac.setOutputProperty(OutputKeys.OMIT_XML_DECLARATION, "yes");
      zapisovac.setOutputProperty(OutputKeys.METHOD, "xml");
      DOMResult DOMbezHlavicky = new DOMResult();
      zapisovac.transform(new DOMSource(doc),
                          DOMbezHlavicky);
      zapisovac.setOutputProperty(OutputKeys.OMIT_XML_DECLARATION, "no");
      zapisovac.setOutputProperty(OutputKeys.ENCODING, kodovani);
      zapisovac.setOutputProperty(OutputKeys.STANDALONE, "yes"); // nefunguje
      // nastaveni standalone="yes"
      Document doc2 = (Document) DOMbezHlavicky.getNode();
      doc2.setXmlStandalone(true);

//      zapisovac.setOutputProperty(OutputKeys.METHOD, "text");
      zapisovac.transform(new DOMSource(doc2),
                          new StreamResult(
                          new File(VYSTUPNI_SOUBOR)));
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
}

