/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                       Java a XML                            //
//                       I. vydn                             //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      //
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2007                      //
//                                                             //
/////////////////////////////////////////////////////////////////

/**
* @author Pavel Herout
*/

import java.io.*;
import java.util.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;
import org.xml.sax.*;          // kvuli vyjimkam

public class VseVPametiDOM {
  private static final String SOUBOR = "jidlo.xml";

  public static void main(String[] args) {
    try {
      DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
      dbf.setValidating(false);
      DocumentBuilder builder = dbf.newDocumentBuilder();
      builder.setErrorHandler(new ChybyZjisteneParserem());
      Document doc = builder.parse(SOUBOR);

      ArrayList<Ovoce> ar = UlozeniDoPameti.getSeznam(doc);
      ZpracovaniDatVPameti.tiskniVse(ar);
      System.out.println("Celkova vaha = " 
                         + ZpracovaniDatVPameti.celkovaVaha(ar));
      System.out.println("Celkova cena = " 
                         + ZpracovaniDatVPameti.celkovaCena(ar));
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
}
