/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                       Java a XML                            //
//                       I. vydn                             //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      //
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2007                      //
//                                                             //
/////////////////////////////////////////////////////////////////

import java.io.*;
import javax.xml.stream.*;

public class CenaJidloStAX {
  public static final String SOUBOR = "jidlo.xml";

  public static void main(String[] args) {
    try {
      XMLInputFactory f = XMLInputFactory.newInstance();
      XMLStreamReader r = f.createXMLStreamReader(new FileReader(SOUBOR));

      System.out.println("Celkova cena: " + getCelkovaCena(r));
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  static double getCelkovaCena(XMLStreamReader r) throws Exception {
  	double vaha = 0;
  	int cena = 0;
  	double celkovaCena = 0;
  	
    while (r.hasNext() == true) {
      r.next();
      if (r.isStartElement() == true) {
      	if (r.getLocalName().equals("nazev") == true) {
//        System.out.println(r.getElementText());
          String a = r.getAttributeValue(null, "jednotkovaCena");
          cena = Integer.parseInt(a);
          System.out.println(r.getElementText());

          r.nextTag();  // preskok na <vaha>
          String v = r.getElementText();
          vaha = Double.parseDouble(v);
          continue;
        }
      }
      if (r.isEndElement() == true
         && r.getLocalName().equals("ovoce") == true) {
      	celkovaCena += vaha * cena;
      }
    }
    return celkovaCena;     
  }
}
