/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                       Java a XML                            //
//                       I. vydn                             //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      //
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2007                      //
//                                                             //
/////////////////////////////////////////////////////////////////

import java.util.*;
import java.io.*;

public class ZpracovaniDatVPameti {
  public static void tiskniVse(ArrayList<Ovoce> ar) {
    PrintWriter p = null;
    OutputStreamWriter o = null;
    try {
      o = new OutputStreamWriter(System.out, "Cp852");
      p = new PrintWriter(o);
    }
    catch (Exception e) {
      e.printStackTrace();
    }
    for (int i = 0;  i < ar.size();  i++) {
//      System.out.println(ar.get(i));
      p.println(ar.get(i));
    }
    p.flush();
  }
  
  public static double celkovaVaha(ArrayList<Ovoce> ar) {
    double celkovaVaha = 0;  
    for (int i = 0;  i < ar.size();  i++) {
      celkovaVaha += ar.get(i).vaha;  
    }
    return celkovaVaha;
  }

  public static double celkovaCena(ArrayList<Ovoce> ar) {
    double celkovaCena = 0;  
    for (int i = 0;  i < ar.size();  i++) {
      Ovoce o = ar.get(i);
      celkovaCena += o.vaha * o.jednotkovaCena;
    }
    return celkovaCena;
  }
}
