/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                       Java a XML                            //
//                       I. vydn                             //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      //
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2007                      //
//                                                             //
/////////////////////////////////////////////////////////////////

import java.util.*;
import java.io.*;

public class ZpracovaniDatVPameti {
  public static void tiskniVse(ArrayList<Ovoce> ar) {
    for (Ovoce o: ar) {
      System.out.println(o);
    }
  }
  
  public static double celkovaVaha(ArrayList<Ovoce> ar) {
    double celkovaVaha = 0;  
    for (Ovoce o: ar) {
      celkovaVaha += o.vaha;  
    }
    return celkovaVaha;
  }

  public static double celkovaCena(ArrayList<Ovoce> ar) {
    double celkovaCena = 0;  
    for (Ovoce o: ar) {
      celkovaCena += o.vaha * o.jednotkovaCena;
    }
    return celkovaCena;
  }
}
