/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                       Java a XML                            //
//                       I. vydn                             //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      //
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2007                      //
//                                                             //
/////////////////////////////////////////////////////////////////

/**
* @author Pavel Herout
*/

import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;
import org.xml.sax.*;          
import javax.xml.transform.*;
import javax.xml.transform.dom.*;
import javax.xml.transform.stream.*;

public class TransformaceJidloDOM1_5 {
//  private static final String SOUBOR = "jidlo-akcenty.xml";
  private static final String SOUBOR = "jidlo.xml";
  private static final String VYSTUPNI_SOUBOR = "jidlo-utf-8.xml";

  public static void main(String[] args) {
    try {
      DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
      dbf.setValidating(false);

      DocumentBuilder builder = dbf.newDocumentBuilder();
      builder.setErrorHandler(new ChybyZjisteneParserem());
      Document doc = builder.parse(SOUBOR);

      TransformerFactory tf = TransformerFactory.newInstance();
      Transformer zapisovac = tf.newTransformer();
//      zapisovac.setOutputProperty(OutputKeys.ENCODING, "windows-1250");
      zapisovac.setOutputProperty(OutputKeys.ENCODING, "UTF-16LE");
//      zapisovac.setOutputProperty(OutputKeys.ENCODING, "UTF-8");
      zapisovac.transform(new DOMSource(doc),
                          new StreamResult(
                          new File(VYSTUPNI_SOUBOR)));
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
}

