/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                       Java a XML                            //
//                       I. vydn                             //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      //
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2007                      //
//                                                             //
/////////////////////////////////////////////////////////////////

import java.io.*;
import java.util.*;
import javax.xml.stream.*;

public class NaZadostStAX {
  public static final String SOUBOR = "jidlo.xml";

   public static void main(String[] args) {
    try {
      XMLInputFactory f =
                    XMLInputFactory.newInstance();
      XMLStreamReader r = f.createXMLStreamReader(
                    new FileReader(SOUBOR));

      while (dalsiNazev() != 'k') {
        String nazev = prectiNazev(r);
        if (nazev == null) {
          System.out.println("Vstupni soubor je jiz precten");
          break;
        }
        else {
          System.out.println("Dalsi ovoce je: " 
                             + nazev);
        }
      }
      System.out.println("Konec cteni");
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  static String prectiNazev(XMLStreamReader r) 
                                  throws Exception {
    while (r.hasNext() == true) {
      r.next();
      if (r.isStartElement() == true) {
        if (r.getLocalName().equals("nazev") == true){
          return r.getElementText();
        }
      }
    }
    return null;     
  }

  static char dalsiNazev() throws Exception {
    System.out.print("Stiskni k (=konec) nebo Enter: ");
    byte[] pole = new byte[20];
    System.in.read(pole);
    return (char) pole[0];
  }
}
