/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                       Java a XML                            //
//                       I. vydn                             //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      //
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2007                      //
//                                                             //
/////////////////////////////////////////////////////////////////

import java.io.*;
import javax.xml.stream.*;

public class VahaJidloStAX {
//  public static final String SOUBOR = "jidlo.xml";
//  public static final String SOUBOR = "jidlo-xsd.xml";
  public static final String SOUBOR = "jidlo-chyba.xml";
//  public static final String SOUBOR = "jidlo-generovano.xml";

  public static void main(String[] args) {
    try {
      XMLInputFactory f = XMLInputFactory.newInstance();
      XMLStreamReader r = f.createXMLStreamReader(new FileReader(SOUBOR));

      System.out.println("Celkova vaha: " + getCelkovaVaha(r));
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
  
  static double getCelkovaVaha(XMLStreamReader r) throws Exception {
  	double vaha = 0;
    while (r.hasNext() == true) {
      r.next();
//      if (r.getEventType() != XMLStreamConstants.START_ELEMENT) {
      if (r.isStartElement() == false) {
      	continue;
      }
      if (r.getLocalName().equals("vaha") == true) {
        String v = r.getElementText();
        vaha += Double.parseDouble(v);
      }
    }
    return vaha;     
  }
}
