/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                       Java a XML                            //
//                       I. vydn                             //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      //
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2007                      //
//                                                             //
/////////////////////////////////////////////////////////////////

import java.io.*;
import java.util.*;
import javax.xml.bind.*;
import jidlobalik.*;

public class VahaJidloJAXB {
  public static final String BALIK = "jidlobalik";
  public static final String VSTUP = "jidlo.xml";

  public static void main(String[] args) {
    try {
      JAXBContext jc = JAXBContext.newInstance(BALIK);
      Unmarshaller u = jc.createUnmarshaller();
      JAXBElement element = (JAXBElement) u.unmarshal(
                            new File(VSTUP));

      JidloType jidlo = (JidloType) element.getValue(); 
      List<OvoceType> seznamOvoce = jidlo.getOvoce();

      double celkovaVaha = 0;
      for (OvoceType o: seznamOvoce) {
        celkovaVaha += o.getVaha();
      }
      System.out.println("Celkova vaha: " + celkovaVaha);
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
}


